@mobile-nav-z-index-base: @zindex-navbar-fixed - 1; // One less than basket and wishlist

body.canvas-mobile-nav__open {
    overflow: hidden;

    .canvas-mobile-nav {
        display: block !important;
        z-index: @mobile-nav-z-index-base + 2;
    }

    .canvas-dialog__page-fade {
        opacity: 1;
        visibility: visible;
        z-index: @mobile-nav-z-index-base + 1;
    }
}

.canvas-mobile-nav__toggler {
    margin-left: @grid-gutter-width;

    @media (min-width: @screen-md-min) {
        display: none !important;
    }
}

.canvas-mobile-nav {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    background: @megamenu-bg;
    color: @white;
    outline: none;
    width: 400px;

    a,
    button {
        color: #fff;
    }

    body.admin-tools-visible & {
        top: 53px;
    }

    @media (max-width: 500px) {
        width: auto;
        left: 0;
    }

    &__top {
        position: relative;
        padding: @grid-gutter-width;
        z-index: 2;
        margin-top: 38px;
    }

    &__bottom {
        overflow-y: auto;
        padding: 0 @grid-gutter-width;
        position: absolute;
        left: 0;
        right: 0;
        top: 126px;
        bottom: 0;
        z-index: 1;
    }

    .canvas-dialog__close-btn {
        z-index: 3;
        top: 63px;
    }
}

.canvas-mobile-nav__actions {
    padding-right: @grid-gutter-width*2;
    display: flex;
    flex-flow: row nowrap;
    height: 30px;

    button {
        padding: 0 5px;
        border: 0;
        background: none;
    }

    .canvas-nav-icon {
        font-size: 24px;
    }
}

ul.canvas-mobile-nav__pages {
    list-style-type: none;
    padding: 0;
    margin: @grid-gutter-width 0;

    a {
        display: block;
        padding: .5rem 0;
        text-transform: uppercase;
    }

    ul {
        padding: 0 0 0 @grid-gutter-width/2;
        list-style: none;

        a {
            font-size: @font-size-small;
            text-transform: unset;
        }
    }
}

ul.canvas-mobile-nav__categories {
    padding: 0;
    margin: @grid-gutter-width 0;

    a {
        height: 45px;
        line-height: 1;
        font-weight: 500;
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
    }

    li {
        position: relative;
        list-style: none;

        ul {
            display: none;
        }

        ul ul {
            padding-left: (@grid-gutter-width/2) + 2;

            a {
                color: rgba(255, 255, 255, 0.8);
            }
        }
    }

    li.level-0 {
        > a {
            font-weight: @headings-font-weight-black !important;
            font-family: @headings-font-family;
            letter-spacing: @headings-letter-spacing;
            font-size: @font-size-h3;
            text-transform: uppercase;
        }

        > ul {
            padding: 0 0 0 @grid-gutter-width/1.5;
            border-left: 2px solid rgba(255, 255, 255, 0.3);
            margin: @grid-gutter-width/3 0 @grid-gutter-width/1.5 0;
        }
    }

    li.level-1 > a {
        font-weight: bold;
        text-transform: uppercase;
    }

    li.is-parent {
        > a {
            padding-right: 45px;
        }

        &.is-open > .toggle-icon {
            .icon-minus {
                display: block;
            }

            .icon-plus {
                display: none;
            }
        }
    }

    li.is-open {
        > ul {
            display: block;
        }
    }

    li.current > a {
        text-decoration: underline;
        font-weight: bold;
    }

    .toggle-icon {
        position: absolute;
        right: 0;
        top: 0;
        width: 45px;
        height: 45px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: transparent;
        border: none;
        padding: 0;

        &::before {
            content: "";
            position: absolute;
            top: 6px;
            left: 6px;
            display: block;
            width: 33px;
            height: 33px;
            border: 1px solid rgba(255, 255, 255, 0.3);
        }

        svg {
            width: 17px;
            height: 17px;
        }

        .icon-minus {
            display: none;
        }
    }
}
